/*____________________________________________________________________________
    Copyright (C) 2002 PGP Corporation
    All rights reserved.

    $Id: CRemoteAuth.h,v 1.3 2002/08/06 20:09:17 dallen Exp $
____________________________________________________________________________*/
#import <PGP/pgpKeys.h>
#import <PGP/pgpTLS.h>
#import <Cocoa/Cocoa.h>

@interface CRemoteAuth : NSObject
{
    IBOutlet NSWindow				*mRemoteAuthWindow;
	IBOutlet NSTextField			*mAddressField;
	IBOutlet NSButton				*mCancelButton;
    IBOutlet NSTextField			*mFingerprintField;
    IBOutlet NSTextField			*mKeyField;
    IBOutlet NSImageView			*mKeyImage;
    IBOutlet NSTextField			*mPromptField;
    IBOutlet NSTextField			*mSecurityField;
    IBOutlet NSProgressIndicator	*mValidityIndicator;

	BOOL							mInited;
	BOOL							mLoadedNib;
}
- (id)init;
- (id)initWithNib:(NSString*)nibFile;
- (id)initRemoteAuth:(NSString *)prompt
		hostName:(NSString *)hostName
		authKey:(PGPKeyDBObjRef)authKey
		tlsCipher:(PGPtlsCipherSuiteNum)tlsCipher
		confirm:(BOOL)confirm;
- (PGPError)runRemoteAuthModalDialog;
- (IBAction)dialogButtonPressed:(id)sender;
@end

