/*____________________________________________________________________________
    Copyright (C) 2002 PGP Corporation
    All rights reserved.

    $Id: CMainWindowDelegate.m,v 1.7 2002/08/06 20:09:21 dallen Exp $
____________________________________________________________________________*/

#import "CMainWindowDelegate.h"

@implementation CMainWindowDelegate

- (id)init
{
	if (!mInited)
	{
		[super init];
		
		mInited = YES;
	}
	
	return self;
}

- (id)initWithController:(id)controller
{
	mController = controller;
	
	return [self init];
}

- (void)bringWindowForward:(id)sender
{
	[[mController mainWindow] makeKeyAndOrderFront:nil];
}

- (BOOL)windowShouldClose:(id)sender
{
	[sender orderOut:nil];
	
	return NO;
}

@end
