/*____________________________________________________________________________
    Copyright (C) 2002 PGP Corporation
    All rights reserved.

    $Id: PGPdiskCommon.h,v 1.9 2002/10/04 07:25:13 jeffc Exp $
____________________________________________________________________________*/
#import <PGPclient/pgpClientLibCocoa.h>

#ifndef LSPD
#define LSPD(key, comment) \
	    [[NSBundle bundleForClass:[PGPdiskController class]] localizedStringForKey:(key) value:@"" table:(nil)]
#endif

#define kPGPdiskDefault_DiskList				@"diskList"

#define kPGPdiskString_OK						LSPD(@"OK", @"OK")
#define kPGPdiskString_Cancel					LSPD(@"Cancel", @"Cancel")
#define kPGPdiskString_Mount					LSPD(@"Mount", @"Mount")
#define kPGPdiskString_MountDisk				LSPD(@"Mount", @"Mount")
#define kPGPdiskString_Unmount					LSPD(@"Unmount", @"Unmount")
#define kPGPdiskString_Finish					LSPD(@"Finish", @"Finish")
#define kPGPdiskString_Next						LSPD(@"Next", @"Next")
#define kPGPdiskString_Create					LSPD(@"Create", @"Create")
#define kPGPdiskString_Close					LSPD(@"Close", @"Close")
#define kPGPdiskString_Replace					LSPD(@"Replace", @"Replace")
#define kPGPdiskString_Remove					LSPD(@"Remove", @"Remove")
#define kPGPdiskString_Disable					LSPD(@"Disable", @"Disable")
#define kPGPdiskString_ReEncrypt				LSPD(@"Re-Encrypt", @"Re-Encrypt")
#define kPGPdiskString_Choose					LSPD(@"Choose", @"Choose")
#define kPGPdiskString_Convert					LSPD(@"Convert", @"Convert")
#define kPGPdiskString_CAST128					LSPD(@"CAST5 (128 bits)", @"CAST5")
#define kPGPdiskString_AES256					LSPD(@"AES (256 bits)", @"AES")
#define kPGPdiskString_SelectKey				LSPD(@"Select Key", @"Select Key")
#define kPGPdiskString_SetPassphrase			LSPD(@"Set Passphrase", @"Set Passphrase")
#define kPGPdiskString_ClearPassphrase			LSPD(@"Clear Passphrase", @"Clear Passphrase")
#define kPGPdiskString_UserName					LSPD(@"User Name", @"User name")
#define kPGPdiskString_UsernamePrompt			LSPD(@"Username:", @"Username prompt")
#define kPGPdiskString_PublicKeyPrompt			LSPD(@"Public Key User:", @"Public key prompt")
#define kPGPdiskString_NewPGPdisk				LSPD(@"New PGP Disk", @"New PGP Disk")
#define kPGPdiskString_NewDiskAssistantTitle	LSPD(@"PGPdisk Creation Assistant", @"Creation assistant title")
#define kPGPdiskString_InvalidAlgorithm			LSPD(@"Invalid algorithm", @"Invalid algorithm")
#define kPGPdiskString_UnknownAlgorithm			LSPD(@"Unknown Algorithm", @"Unknown algorithm")
#define kPGPdiskString_KeySelectPrompt			LSPD(@"Please select the key you wish to use:", @"Select key prompt")
#define kPGPdiskString_ReadOnlyAccess			LSPD(@"Can't modify disk", @"Can't modify disk caption")
#define kPGPdiskString_IncorrectPassphrase		LSPD(@"Incorrect passphrase. ", @"Incorrect passphrase")
#define kPGPdiskString_AdminPassphrasePrompt	LSPD(@"Enter the administrator passphrase for \"%@\"", @"Admin passphrase prompt")
#define kPGPdiskString_UserPassphrasePrompt		LSPD(@"Enter the passphrase for user \"%@\"", @"Passphrase prompt")
#define kPGPdiskString_ReEncryptConfirmation	LSPD(@"Confirm Re-Encryption: \"%@\"", @"Re-Encryption confirmation caption")
#define kPGPdiskString_ReEncryptConfirmationMsg	LSPD(@"Re-Encryption will encrypt the contents of your disk to a new master key and, if you have selected one, a new cipher algorithm.\n\nThis operation will not cause any loss of data, however, all passphrase users other than the Administrator will be removed. You may add them again after the re-encryption is finished. Public-Key users will remain intact.", @"Re-Encryptiong confirmation message")
#define kPGPdiskString_UserNameTooLong			LSPD(@"Username too long", @"Username too long caption")
#define kPGPdiskString_UserNameTooLongMsg		LSPD(@"Usernames must be less than 128 characters in length.", @"Username too long message")
#define kPGPdiskString_CantWriteToLocation      LSPD(@"Unable to write to the specified location.", @"Can't write to location caption")
#define kPGPdiskString_CantWriteToLocationMsg   LSPD(@"You do not hold the necessary privileges required to write to the specified location. Please choose a location for which you have write access.", @"Can't write to location message")
#define kPGPdiskString_InvalidDiskLocation      LSPD(@"Invalid location specified.", @"Invalid location caption")
#define kPGPdiskString_InvalidDiskLocationMsg   LSPD(@"The specified location is invalid. Please specify a location where you would like your PGPdisk image to reside.", @"Invalid location message")

enum
{               
	kPGPdiskHFS						= 1000,
	kPGPdiskHFSExt,
	kPGPdiskUFS,
};
