/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.

	$Id: load_pgpdisk.c,v 1.6 2002/10/23 04:02:33 jeffc Exp $
____________________________________________________________________________*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/types.h>
#include <unistd.h>
#include <sys/wait.h>
#include <sys/syslimits.h>

int main (int argc, const char * argv[])
{
	pid_t		pid;
	int			status;
	
	pid = fork();
	if( pid == 0 )
	{
		/* Child */
		
		/* kextload is too chatty - close stdout and stderr */
		close( 1 );
		close( 2 );

		execl( "/sbin/kextload", "kextload", "/Library/Extensions/PGPdiskDriver.kext", NULL );
		
		/* This code will only be reached if there was an error */
		return EXIT_FAILURE;
	}
	else if( pid )
		waitpid( pid, &status, 0 );
	else
		return EXIT_FAILURE;
		
	return WEXITSTATUS( status );
}
