/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.

	$Id: pgpDiskEngineKernelWorker.h,v 1.14 2002/10/06 08:46:52 dallen Exp $
____________________________________________________________________________*/
#ifndef Included_PGPdiskEngineKernelWorker_h	/* [ */
#define Included_PGPdiskEngineKernelWorker_h

#include "pgpDiskEngineTypes.h"
#include "pgpDiskEngineAppWorker.h"

	PGPError
PGPdiskEngineLoadDriver( void );

	PGPError
PGPdiskEngineRun(
	PGPdiskKernelWorkerContextRef	kernCon );

	PGPError
PGPdiskEngineStartKernelWorker(
	PGPMemoryMgrRef					mgr,
	PGPdiskKernelWorkerContextRef *	outCon );
	
	PGPError
PGPdiskEngineStopKernelWorker(
	PGPdiskKernelWorkerContextRef	con );

	PGPError
PGPdiskEngineMountDisk(
	PGPdiskBEContextRef				diskcon,
	PGPdiskIODiskRef				disk,
	PGPdiskIODiskUser *				user,
	PGPBoolean						readonly,
	PGPBoolean						ejectOnLogout,
	PGPBoolean						autoDiskMount,
	const char *					mountPoint,
	const char *					passphrase );
	
	PGPError
PGPdiskEngineUnmountDisk(
	PGPdiskKernelWorkerContextRef	kernCon,
	PGPdiskIODiskRef				disk,
	PGPBoolean						bForced );
	
	PGPError
PGPdiskEngineFormatDisk(
	PGPdiskBEContextRef				diskcon,
	PGPdiskIODiskRef				disk,
	PGPdiskIODiskUser *				adminUser,
	const char *					passphrase,
	const char *					volumeName,
	PGPdiskFilesystemType			fsType );

#endif /* ] Included_PGPdiskEngineKernelWorker_h */


/*__Editor_settings____

	Local Variables:
	tab-width: 4
	End:
	vi: ts=4 sw=4
	vim: si
_____________________*/
