/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CEngineImpFactory.h,v 1.2 2002/08/06 20:09:36 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CEngineImpFactory_h	// [
#define Included_CEngineImpFactory_h

#include "CImpFactory.h"

_PGP_BEGIN

// Types

class CDriverCommImp;
class CPGPdiskDiskImp;


// Class CEngineImpFactory

class CEngineImpFactory : public CImpFactory
{
	DECLARE_SINGLETON_VARIABLE(CEngineImpFactory)

	DECLARE_IMP_NEWFUNCS_PURE(CDriverCommImp, DriverCommImp);
	DECLARE_IMP_NEWFUNCS_PURE(CPGPdiskDiskImp, PGPdiskDiskImp);

public:
			CEngineImpFactory() { }
	virtual	~CEngineImpFactory() = 0 { }
};

_PGP_END

#endif	// Included_CEngineImpFactory_h
