/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CEngineSubsystems.cpp,v 1.4 2002/08/06 20:09:36 dallen Exp $
____________________________________________________________________________*/

#include "pgpClassesConfig.h"

#include "CDriverComm.h"
#include "CEngineSubsystems.h"

_USING_PGP

// Class CEngineSubsystems member functions

DEFINE_SUBSYSTEM(CDriverComm, CEngineSubsystems, DriverComm)

void 
CEngineSubsystems::CreateSubsystemsAux()
{
	try
	{
		CALL_MAKE_SUBSYSTEM(DriverComm);
	}
	catch (CComboError&)
	{
		DestroySubsystemsAux();
		throw;
	}
}

void 
CEngineSubsystems::DestroySubsystemsAux()
{
	try
	{
		CALL_DESTROY_SUBSYSTEM(DriverComm);
	}
	catch (CComboError&) { }
}
