/*____________________________________________________________________________
    Copyright (C) 2002 PGP Corporation
    All rights reserved.

    $Id: CSendShares.h,v 1.3 2002/08/06 20:09:45 dallen Exp $
____________________________________________________________________________*/
#import <PGP/pgpEncode.h>
#import <PGPclient/pgpShare.h>
#import <PGPclient/pgpSKEP.h>
#import <Cocoa/Cocoa.h>

@class PGPkeysController;

@interface CSendShares : NSObject
{
    IBOutlet NSTextField			*mAuthField;
    IBOutlet NSImageView			*mAuthImage;
    IBOutlet NSButton				*mCancelButton;
    IBOutlet NSTextField			*mNameField;
    IBOutlet NSTextField			*mNetStatusField;
    IBOutlet NSTextField			*mNumSharesField;
	IBOutlet NSProgressIndicator	*mProgressIndicator;
    IBOutlet NSTextField			*mRemoteAddressField;
    IBOutlet NSTextField			*mRemoteAddressTitleField;
    IBOutlet NSButton				*mSendButton;
    IBOutlet NSWindow				*mSendSharesWindow;

	PGPkeysController				*mController;
	BOOL							mInited;
	BOOL							mLoadedNib;
	NSString						*mShareFile;
	
	PGPBoolean						mConventional;
	PGPKeySetRef					mRecipientSet;
	PGPShareRef						mShares;
	PGPKeyID						*mKeyIDList;
	PGPUInt32						mKeyIDCount;
	PGPKeyDBObjRef					mOwnerKey;
	char							*mPassphrase;
	BOOL							mAbort;
	BOOL							mSent;
}
- (id)initWithNib:(NSString*)nibFile;
- (id)initWithController:(PGPkeysController *)controller shareFile:(NSString*)docFile;
- (void)run;
- (IBAction)dialogButtonPressed:(id)sender;
- (NSWindow *)window;
- (PGPError)decryptCallback:(PGPEvent *)event;
- (PGPError)skepCallback:(PGPskepEvent *)event;
@end

