/*____________________________________________________________________________
    Copyright (C) 2002 PGP Corporation
    All rights reserved.

    $Id: PGPkeysCommon.h,v 1.10 2002/08/29 23:09:36 jeffc Exp $
____________________________________________________________________________*/
#import <PGPclient/pgpClientLibCocoa.h>

#ifndef LSPK
#define LSPK(key, comment) \
	    [[NSBundle bundleForClass:[PGPkeysController class]] localizedStringForKey:(key) value:@"" table:(nil)]
#endif

#define kPGPkeysNib						@"PGPkeys"
#define kPGPkeysToolbarItemImage		@"pgpkeys"
#define kPGPkeysTitle					LSPK( @"PGPkeys", @"PGPkeys Title" )
#define kPGPkeysToolbarItemToolTip		LSPK( @"PGPkeys", @"Toolbar item tooltip" )
#define kPGPkeysKeysMenuTitle			LSPK( @"Keys", @"Keys menu title" )
#define kPGPkeysViewMenuTitle			LSPK( @"View", @"View menu title" )
#define kPGPkeysServerMenuTitle			LSPK( @"Server", @"Server menu title" )
#define kPGPkeysOKButton				LSPK( @"OK", @"OK button" )
#define kPGPkeysCancelButton			LSPK( @"Cancel", @"Cancel button" )
#define kPGPkeysNewKeyring				LSPK( @"New PGP Keyring", @"New PGP Keyring" )
#define kPGPkeysSaveFrameName			@"PGPkeys Main Window"

#define kPGPkeysPubringOS9Name			LSPK( @"PGP Public Keys", @"PGPkeys OS 9 Pubring Name" )
#define kPGPkeysSecringOS9Name			LSPK( @"PGP Private Keys", @"PGPkeys OS 9 Secring Name" )
#define kPGPkeysPubringWinName			LSPK( @"pubring.pkr", @"PGPkeys Win Pubring Name" )
#define kPGPkeysSecringWinName			LSPK( @"secring.skr", @"PGPkeys Win Secring Name" )
#define kPGPkeysPubringOSXName			LSPK( @"PGP Public Keyring.pkr", @"PGPkeys OS X Pubring Name" )
#define kPGPkeysSecringOSXName			LSPK( @"PGP Private Keyring.skr", @"PGPkeys OS X Secring Name" )
#define kPGPkeysPubringAncientName		LSPK( @"pubring.pgp", @"PGPkeys Ancient Pubring Name" )
#define kPGPkeysSecringAncientName		LSPK( @"secring.pgp", @"PGPkeys Ancient Secring Name" )

enum
{
	kPGPkeysCommand_ViewValidity	= 601,
	kPGPkeysCommand_ViewTrust,
	kPGPkeysCommand_ViewSize,
	kPGPkeysCommand_ViewCreation,
	kPGPkeysCommand_ViewExpiration,
	kPGPkeysCommand_ViewKeyID,
	kPGPkeysCommand_ViewADK,
	kPGPkeysCommand_ViewDescription,
	kPGPkeysCommand_ViewToolbar,
	
	kPGPkeysCommand_Sign			= 700,
	kPGPkeysCommand_SetDefault,
	kPGPkeysCommand_AddName,
	kPGPkeysCommand_AddPhoto,
	kPGPkeysCommand_AddRevoker,
	kPGPkeysCommand_AddCertificate,
	kPGPkeysCommand_Enable,
	kPGPkeysCommand_Disable,
	kPGPkeysCommand_Revoke,
	kPGPkeysCommand_ReverifySignatures,
	kPGPkeysCommand_New,
	kPGPkeysCommand_Split,
	kPGPkeysCommand_Reconstruct,
	kPGPkeysCommand_Import,
	kPGPkeysCommand_Export,
	kPGPkeysCommand_Info,
	
	kPGPkeysCommand_Delete			= 800,
	kPGPkeysCommand_Search,
	kPGPkeysCommand_SendToServer,
	kPGPkeysCommand_UpdateFromServer,
	kPGPkeysCommand_SendRecon,
	kPGPkeysCommand_UpdateIntroducers,
	kPGPkeysCommand_UpdateRevocations,
	kPGPkeysCommand_UpdatePolicy,
	kPGPkeysCommand_ServerDelete,
	kPGPkeysCommand_ServerDisable,
	kPGPkeysCommand_RetrieveCert,
	kPGPkeysCommand_SendToThisServer,
	
	kPGPkeysCommand_NewKeyring		= 1000
};

