/*____________________________________________________________________________
    Copyright (C) 2002 PGP Corporation
    All rights reserved.

    $Id: CPGPVerification.h,v 1.7 2002/08/06 20:09:48 dallen Exp $
____________________________________________________________________________*/
#ifndef Included_CPGPmailVerification_h	/* [ */
#define Included_CPGPmailVerification_h

#import <Cocoa/Cocoa.h>

@interface CPGPVerification : NSObject
{
    NSString		*mFileName;
    NSString		*mSigner;
    NSImage			*mValidity;
    NSCalendarDate	*mSigned;
    NSCalendarDate	*mVerified;
    
    BOOL			mSigValid;
    BOOL			mKeyValid;
}

- (NSString *)getName;
- (void)setName:(NSString *)value validity:(BOOL)valid;
- (NSString *)getSigner;
- (void)setSigner:(NSString *)value;
- (NSImage *)getValidity;
- (void)setValidity:(NSImage *)value validity:(BOOL)valid;
- (NSCalendarDate *)getSigned;
- (void)setSigned:(NSCalendarDate *)value;
- (NSCalendarDate *)getVerified;
- (void)setVerified:(NSCalendarDate *)value;

- (BOOL)isKeyValid;
- (BOOL)isSigValid;
@end

#endif /* ] Included_CPGPmailVerification_h */

/*__Editor_settings____

	Local Variables:
	tab-width: 4
	End:
	vi: ts=4 sw=4
	vim: si
_____________________*/