/*____________________________________________________________________________
    Copyright (C) 2002 PGP Corporation.
    All rights reserved.

    $Id: MimeBody.h,v 1.1 2002/08/21 03:17:17 wmalik Exp $
____________________________________________________________________________*/

#import <MessageBody.h>

@class NSArray;
@class MimePart;

@interface MimeBody:MessageBody
{
    MimePart *_topLevelPart;
    unsigned int _preferredTextEncoding;
    int _shouldDeleteAttachmentOnDealloc:1;
    int _preferredAlternative:15;
    int _numAlternatives:16;
}

+ (void)initialize;
+ versionString;
+ createMimeBoundary;
- init;
- (void)dealloc;
- (char)makeUniqueTemporaryAttachmentInDirectory:fp12;
- topLevelPart;
- (void)setTopLevelPart:fp12;
- (unsigned int)preferredTextEncoding;
- (void)setPreferredTextEncoding:(unsigned int)fp12;
- mimeType;
- mimeSubtype;
- (void)calculateNumberOfAttachmentsIfNeeded;
- (char)isHTML;
- (char)isRich;
- attachmentDirectory;
- attributedString;
- htmlDocument;
- stringForIndexing;
- (int)numberOfAlternatives;
- (void)setPreferredAlternative:(int)fp12;
- (int)preferredAlternative;
- preferredBodyPart;
- copyWithZone:(struct _NSZone *)fp12;
@end