/*____________________________________________________________________________
    Copyright (C) 2002 PGP Corporation.
    All rights reserved.

    $Id: PGPMailMessageEditor.m,v 1.2 2002/08/21 15:09:27 wmalik Exp $
____________________________________________________________________________*/

#import "PGPMailMessageEditor.h"

#import <Foundation/Foundation.h>

@implementation MessageEditor(PGPMail)

- (IBAction)pgpToggleEncryptionForNewMessage:(id)sender
{
    NSEnumerator	*theEnum = [accessoryViewOwners objectEnumerator];
    id				anOwner;
    
    while(anOwner = [theEnum nextObject])
        if([anOwner respondsToSelector:_cmd])
            [anOwner performSelector:_cmd withObject:sender];
}

- (IBAction)pgpToggleSignatureForNewMessage:(id)sender;
{
    NSEnumerator	*theEnum = [accessoryViewOwners objectEnumerator];
    id				anOwner;
    
    while(anOwner = [theEnum nextObject])
        if([anOwner respondsToSelector:_cmd])
            [anOwner performSelector:_cmd withObject:sender];
}

- (NSArray *)pgpAccessoryViewOwners
{
    return accessoryViewOwners;
}

- (void)pgpSetAccessoryViewOwners:(NSArray *)newOwners
{
    newOwners = [[NSMutableArray alloc] initWithArray:newOwners];
    [accessoryViewOwners release];
    accessoryViewOwners = (NSMutableArray *)newOwners;
}

- (BOOL)pgpIsRealEditor
{
    return (backEnd != nil);
}

- (NSToolbar *)pgpToolbar
{
    return _toolbar;
}

- (TextDocumentViewer *)pgpTextViewer:(id)dummy
{
    return textDocumentViewer;
}
@end
