/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.

	$Id: pgpnetComm.h,v 1.2 2002/08/06 20:10:27 dallen Exp $ 
____________________________________________________________________________*/

#ifndef _H_PGPNET_COMM_
#define _H_PGPNET_COMM_

#ifdef __cplusplus
extern "C" {
#endif

VOID PGPCreateUDPPacket(class CPGPnetFilterAdapter *adapter, 
						PGPnetPacketHead* packet,
						PGPUInt16	destPort,
						PVOID message,
						UINT msgSize);

VOID PGPKernelRequest(PVOID message, UINT msgSize);

void NatSAKeepAlive(PGPByte *pDestEthAddr,
					PGPUInt32 NboLocalIp,
					PGPUInt32 NboPeerNatIp,
					PGPUInt32 NboPeerNatPort);

NDIS_STATUS  ConfigurationIoctl(
    IN NDIS_OID     Oid,         
    IN OUT PVOID    InformationBuffer,
    IN UINT         InformationBufferLength,
    IN OUT PUINT    BytesWritten,           
    IN OUT PUINT    BytesNeeded             
    );

PGPError
PGPInjectPacket(PGPnetPacket *pPacket, PGPBoolean bIncoming);

#ifdef __cplusplus
}
#endif

#endif // _H_PGPNET_COMM_