/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.

	$Id: pgpBuild.h,v 1.19.2.1 2002/11/26 11:36:28 wprice Exp $
____________________________________________________________________________*/
#ifndef Included_pgpBuild_h	/* [ */
#define Included_pgpBuild_h

#ifdef OVERRIDE_BUILDFLAGS

#include "../build/MastrBld.h"

#else

/*_____________________________________________________________________________
	This is the common header file for the PGP client.   It contains flags
	that apply globally to all modules.  Before building, make sure the flags
	here are set appropriately.
	
	Note: include this file in your project prefix
_____________________________________________________________________________*/

/*____________________________________________________________________________
	Version information
____________________________________________________________________________*/

#define PGPVERSIONSTRING		"8.0" 
#define PGPVERSIONMAJOR			8
#define PGPVERSIONMINOR			0
#define PGPVERSIONSUBMINOR		0
#define PGPVERSIONSUBSUBMINOR	0

#define PGPVERSIONRELEASESTAGE	3	/* 0 = Development, 1 = Alpha, */
									/* 2 = Beta, 3 = Release */
#define PGPBUILDNUMBER			"101" 
#define PGPCOMPANYNAME			"PGP Corporation"
#define	PGPCOPYRIGHT			"Copyright  2002 PGP Corporation"
#define PGPTRADEMARKS			"Pretty Good Privacy, PGP"
#define PGPPRODUCTNAME			"PGP"

/*____________________________________________________________________________
	License information
____________________________________________________________________________*/

#define PGPPRODUCTID			0	/* For use with license code */
#define PGP_LICENSENUMBERS		1	/* 0 =  No License Check, 1 = License Check */
#define PGP_LICENSEGRACEPERIOD	60	/* Expiration date extension in days */
									/* Only applies to non-eval licenses */

/*____________________________________________________________________________
	Other flags
____________________________________________________________________________*/

#ifndef PGP_BETA
#define PGP_BETA					1		// zero for release
#endif

#ifndef UNFINISHED_CODE_ALLOWED
#if PGP_BETA
#define UNFINISHED_CODE_ALLOWED		1
#else
#define UNFINISHED_CODE_ALLOWED		0
#endif
#endif

#ifndef PGPNET_ALLOW_DES56
#if 0
	#define PGPNET_ALLOW_DES56			1
#else
	#define PGPNET_ALLOW_DES56			0
#endif
#endif

#define PGP_BETA_DAYS				60		// ignored if PGP_BETA == 0

#endif /* OVERRIDE_BUILDFLAGS */

#endif /* ] Included_pgpBuild_h */


/*__Editor_settings____

	Local Variables:
	tab-width: 4
	End:
	vi: ts=4 sw=4
	vim: si
_____________________*/
