/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CTimer.h,v 1.3 2002/08/06 20:10:38 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CTimer_h	// [
#define Included_CTimer_h

#include "pgpClassesConfig.h"
#include "CPFLImpFactory.h"

_PGP_BEGIN

// Class CTimer

class CTimer SMART_ERROR_INHERIT
{
	NOT_COPYABLE(CTimer)
	DECLARE_IMPHOST(CTimer)

public:
	typedef void (_cdecl * CallbackFunc)(void *refPtr);

public:
	PGPBoolean	IsPeriodic() const;
	PGPBoolean	IsTimerRunning() const;

	SMART_ERROR	StartTimer(CallbackFunc timerCallback, void *userData, 
		PGPUInt32 msInterval, PGPBoolean isPeriodic = TRUE);
	void		StopTimer();
};

_PGP_END

#endif	// ] Included_CTimer_h
