/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: UDebug.h,v 1.3 2002/08/06 20:10:38 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_UDebug_h	// [
#define Included_UDebug_h

#include "pgpClassesConfig.h"

_PGP_BEGIN

namespace UDebug
{
	// Constants
	enum
	{
		kMaxLengthString = 1024
	};

	// Debugging functions

	inline 
	void 
	BreakHere()
	{
	#if PGP_DEBUG
		__asm int 3;
	#endif	// PGP_DEBUG
	}

	#if PGP_DEBUG

	void 
	DebugOut(const char *formatStr, ...);

	#else	// !PGP_DEBUG

	inline 
	void 
	DebugOut(const char *formatStr, ...)
	{
	}

	#endif	// PGP_DEBUG
}

_PGP_END

#endif	// Included_UDebug_h
