/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.
	
	$Id: MacCursors.h,v 1.2 2002/08/06 20:10:40 dallen Exp $
____________________________________________________________________________*/

#pragma once

#include "MacBasics.h"

typedef struct OpaqueAnimatedCursorRef	*AnimatedCursorRef;

PGP_BEGIN_C_DECLARATIONS
#if PRAGMA_IMPORT
#pragma import on
#endif



OSStatus	GetAnimatedCursor(ResID resID, AnimatedCursorRef *cursorRef);
OSStatus	Get1AnimatedCursor(short resID, AnimatedCursorRef *cursorRef);
void		DisposeAnimatedCursor(AnimatedCursorRef cursorRef);

Boolean		AnimateCursor(AnimatedCursorRef cursorRef);
void		ResetAnimatedCursor(AnimatedCursorRef cursorRef);

void		SetAnimatedCursorDelay(AnimatedCursorRef cursorRef,
				UInt32 delayTicks);
void		SetAnimatedCursorInitialDelay(AnimatedCursorRef cursorRef,
				UInt32 initialTicks);



#if PRAGMA_IMPORT
#pragma import reset
#endif
PGP_END_C_DECLARATIONS
