/*____________________________________________________________________________
	MacDebugPatches.h
	
	Copyright (C) 2002 PGP Corporation
	All rights reserved.
	
	$Id: MacDebugPatches.h,v 1.2 2002/08/06 20:10:40 dallen Exp $
____________________________________________________________________________*/

#pragma once

#include "MacDebug.h"

#ifndef USE_MAC_DEBUG_PATCHES
	#define USE_MAC_DEBUG_PATCHES		USE_MAC_DEBUG_TRAPS
#endif

#if USE_MAC_DEBUG_PATCHES

	void	DebugPatches_PatchDisposeTraps(void);
	Boolean	DebugPatches_DisposeTrapsPatched(void);

	void	DebugPatches_EnableWhackFreeSpace(void);
	void	DebugPatches_DisableWhackFreeSpace(void);
	
#else

	#define DebugPatches_PatchDisposeTraps()
	#define DebugPatches_DisposeTrapsPatched()	( FALSE )

	#define	DebugPatches_EnableWhackFreeSpace()
	#define	DebugPatches_DisableWhackFreeSpace()
	
#endif