/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.

	$Id: MacDesktop.h,v 1.2 2002/08/06 20:10:40 dallen Exp $
____________________________________________________________________________*/

#pragma once

#include "MacBasics.h"
#include <Processes.h>

typedef enum FindAppSearchType
{
	kFindAppOnLocalVolumes	= 1,
	kFindAppOnRemoteVolumes,
	kFindAppOnAllVolumes
	
} FindAppSearchType;


PGP_BEGIN_C_DECLARATIONS
#if PRAGMA_IMPORT
#pragma import on
#endif


Boolean		FindApplicationOnVolume(short vRefNum, OSType applicationType,
						OSType applicationCreator, FSSpec *appSpec);
Boolean		FindApplication(OSType applicationType, OSType applicationCreator,
						FindAppSearchType searchType, FSSpec *appSpec);
						
OSStatus	BringAppToFront(OSType type, OSType creator,
						FindAppSearchType searchType, Boolean launch,
						AppParametersPtr params, Boolean * wasLaunched);


#if PRAGMA_IMPORT
#pragma import reset
#endif
PGP_END_C_DECLARATIONS

