/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.
	
	$Id: CProgressBar.h,v 1.2 2002/08/06 20:10:43 dallen Exp $
____________________________________________________________________________*/

#pragma once

#include <LPane.h>

class CProgressBar : public LPane
{
public:

	enum { class_ID = 'PBar' };

						CProgressBar();
						CProgressBar(LStream *inStream);
	
	virtual				~CProgressBar();

	virtual void		SetForeAndBackColors(const RGBColor *inForeColor,
									const RGBColor *inBackColor);
	void				SetPercentComplete(UInt32 percentComplete);

protected:

	RGBColor		mForeColor;
	RGBColor		mBackColor;
	UInt32			mPercentComplete;
	
	void			InitProgressBar(void);
	virtual	void	DrawSelf(void);
};
