/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.
	
	
	
	$Id: CTCPSocket.h,v 1.2 2002/08/06 20:11:12 dallen Exp $
____________________________________________________________________________*/

#pragma once 

#include "CInternetSocket.h"




class CTCPSocket : public CInternetSocket {
public:
							CTCPSocket();
	virtual					~CTCPSocket();
	
	virtual void			Connect(const PGPSocketAddressInternet *
									inAddress);
	virtual SInt32			Send(const void * inBuffer, SInt32 inLength,
								SInt32 inFlags);
	virtual SInt32			SendTo(const void * inBuffer, SInt32 inLength,
								const PGPSocketAddressInternet * inAddress);
	virtual SInt32			Receive(void * outBuffer, SInt32 inLength,
								SInt32 inFlags);
	virtual SInt32			ReceiveFrom(void * outBuffer, SInt32 inSize,
								PGPSocketAddressInternet * outAddress,
								SInt32 * ioAddressLength);
	virtual void			Listen(SInt32 inMaxBacklog);
	virtual CSocket *		Accept(PGPSocketAddressInternet * outAddress,
								SInt32 * ioAddressLength);
								
	virtual void			GetPeerName(PGPSocketAddressInternet * outName);

protected:
	Boolean					mIsListening;

	virtual void			Cleanup();
	virtual Boolean			IsListening() { return mIsListening; }
};

