/*____________________________________________________________________________
    Copyright (C) 2002 PGP Corporation
    All rights reserved.

    $Id: CDurationFieldEditor.h,v 1.3 2002/08/06 20:09:16 dallen Exp $
____________________________________________________________________________*/

#import <Cocoa/Cocoa.h>
#import <PGPclient/pgpClientLibCocoa.h>

@interface CDurationFieldEditor : NSTextView
{
	PGPUInt32		mMaxValue;
}

- (BOOL)resignFirstResponder;
- (void)setMaxValue:(PGPUInt32)maxValue;
- (void)insertText:(id)string;
- (NSRange)selectionRangeForProposedRange:(NSRange)proposed granularity:(NSSelectionGranularity)granularity;

@end
