/*____________________________________________________________________________
    Copyright (C) 2002 PGP Corporation
    All rights reserved.

    $Id: CImageButtonCell.m,v 1.2 2002/08/06 20:09:17 dallen Exp $
____________________________________________________________________________*/
#import <CImageButtonCell.h>

@implementation CImageButtonCell

- (void)drawInteriorWithFrame:(NSRect)cellFrame inView:(NSView *)controlView
{
	NSImage *image = [self isHighlighted] ? [self alternateImage] : [self image];
	NSSize imageSize = { 0, 0 };
	NSPoint imagePoint = cellFrame.origin;

	if( !image )
		return;
	imageSize = [image size];
	imagePoint.y += imageSize.height;
	imagePoint.x += ( cellFrame.size.width / 2 ) - ( imageSize.width / 2 );
	[image compositeToPoint:imagePoint operation:NSCompositeSourceOver];
}

@end

