/*____________________________________________________________________________
    Copyright (C) 2002 PGP Corporation
    All rights reserved.

    $Id: pgpUtilities.m,v 1.6 2002/08/06 20:09:17 dallen Exp $
____________________________________________________________________________*/

#import <PGP/PGP.h>
#import "pgpClientLibOSX.h"

    PGPError
PGPclGuaranteeMinimumEntropy(
    PGPContextRef       inContext)
{
    PGPError    err = kPGPError_NoErr;
    
    if( ! PGPGlobalRandomPoolHasMinimumEntropy() )
    {
        PGPUInt32   haveBits = 0;
        PGPUInt32   neededBits = 0;
         
        haveBits    = PGPGlobalRandomPoolGetEntropy();
        neededBits  = PGPGlobalRandomPoolGetMinimumEntropy();
         
        pgpAssert( haveBits < neededBits );
         
        if( haveBits < neededBits )
        {
            neededBits = neededBits - haveBits + 100;
        }
        else
        {
            neededBits = 300;   /* Token amount */
        }
         
        err = PGPCollectRandomDataDialog( inContext, neededBits,
                        PGPOLastOption( inContext ) );
    }

    return( err );
}

/*__Editor_settings____

	Local Variables:
	tab-width: 4
	End:
	vi: ts=4 sw=4
	vim: si
_____________________*/
