/*____________________________________________________________________________
    Copyright (C) 2002 PGP Corporation
    All rights reserved.

    $Id: CPGPToolbar.h,v 1.5 2002/08/06 20:09:21 dallen Exp $
____________________________________________________________________________*/

#import <Cocoa/Cocoa.h>
#import <PGPclient/pgpClientLibCocoa.h>
#import <PGPclient/CImageButton.h>

@interface CPGPToolbar : NSImageView
{
	PGPUInt32			mButtonAlignment;
	NSSize				mMaxSize;
	NSSize				mMinSize;
    BOOL				mInited;
}

- (id)init;

- (NSMutableArray*)buttons;
- (void)addButton:(CImageButton*)button;

- (NSSize)maxSize;
- (NSSize)minSize;

- (void)determineMinSize;
- (void)determineMaxSize;

- (void)resizeSubviewsWithOldSize:(NSSize)oldFrameSize;
- (void)setFrame:(NSRect)frame;

- (void)awakeFromNib;

- (void)dealloc;

@end
