/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.

	$Id: PGPdiskController.h,v 1.5 2002/08/06 20:09:34 dallen Exp $
____________________________________________________________________________*/
#pragma once

#include <IOKit/IOService.h>

class PGPdiskController : public IOService
{
	OSDeclareDefaultStructors(PGPdiskController)
protected:
	UInt32				fDiskCount;
public:
	virtual bool		init( OSDictionary *dictionary = 0 );
	virtual bool		start( IOService *provider );
	virtual void		stop( IOService *provider );
	virtual void		free( void );
	virtual IOReturn 	message(UInt32 type, IOService * provider, void * argument);
	
	//IOUserClient functions
	virtual IOReturn	createDisk( const PGPdiskCreateDiskParams	*diskParams );
};

