/*____________________________________________________________________________
		Copyright (C) 2002 PGP Corporation
        All rights reserved.

        $Id: CMemoryLockerImp.h,v 1.2 2002/08/06 20:09:34 dallen Exp $
____________________________________________________________________________*/

#ifndef Included_CMemoryLockerImp_h	// [
#define Included_CMemoryLockerImp_h

#include "CImp.h"
#include "CMemoryLocker.h"

_PGP_BEGIN

// Class CMemoryLockerImp

class CMemoryLockerImp : public CImp
{
	friend class CMemoryLocker;

protected:
	virtual CComboError	LockMemory(const void *pMem, PGPUInt32 sizeMem, 
		void **ppMappedMem = NULL) = 0;
	virtual CComboError	UnlockMemory(const void *pMem) = 0;

protected:
	virtual CComboError	Startup() {return CComboError();}
	virtual void		Shutdown() { }
};

_PGP_END

#endif	// Included_CMemoryLockerImp_h
