/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.

	$Id: CPGPmailFSWiper.h,v 1.7 2002/08/06 20:09:48 dallen Exp $
____________________________________________________________________________*/
#ifndef Included_CPGPmailFSWiper_h	/* [ */
#define Included_CPGPmailFSWiper_h

#import <PGP/PGP.h>

#import <Foundation/Foundation.h>

#import "CPGPmailWipeFile.h"

@interface CPGPmailFSWiper : NSObject
{
    CPGPmailWipeFile	*mController;
    
    NSFileManager*		mFileManager;
    
	NSString*			mWipeFile;
	PGPUInt64			mTotalDone;
    
    BOOL				mInited;
}

- (id)init;
- (id)initWithController:(CPGPmailWipeFile *)controller;
- (void)dealloc;

- (PGPError)wipeFile:(NSString *)file
	passes:(PGPUInt32)numPasses
    patterns:(PGPUInt32)numPatterns
	list:(PGPWipingPattern *)patternList
	buffer:(void *)wipeBuffer
    size:(PGPSize)wipeBufferLength;

- (PGPError)wipeAndDelete:(NSString *)file
	passes:(PGPUInt32)numPasses
    patterns:(PGPUInt32)numPatterns
    list:(PGPWipingPattern *)patternList
	buffer:(void *)wipeBuffer
	size:(PGPSize)wipeBufferLength;
    
@end

#endif /* ] Included_CPGPmailWipeFile_h */

/*__Editor_settings____

	Local Variables:
	tab-width: 4
	End:
	vi: ts=4 sw=4
	vim: si
_____________________*/