/*____________________________________________________________________________
    Copyright (C) 2002 PGP Corporation.
    All rights reserved.

    $Id: MessageBody.h,v 1.1 2002/08/21 03:17:17 wmalik Exp $
____________________________________________________________________________*/

#import <Foundation/NSObject.h>
#import <Foundation/NSRange.h>

@class Message;
@class NSAttributedString;
@class NSData;

@interface MessageBody:NSObject <NSCopying>
{
    Message *_message;
    NSString *_attachPath;
}

+ defaultAttachmentDirectory;
+ (void)setDefaultAttachmentDirectory:fp12;
- rawData;
- attributedString;
- (char)isHTML;
- (char)isRich;
- htmlDocument;
- (void)dealloc;
- stringForIndexing;
- (void)setMessage:fp12;
- message;
- (void)setAttachmentDirectory:fp12;
- attachmentDirectory;
- (void)calculateNumberOfAttachmentsIfNeeded;
- copyWithZone:(struct _NSZone *)fp12;
@end
