/*____________________________________________________________________________
    Copyright (C) 2002 PGP Corporation.
    All rights reserved.

    $Id: MutableMessageHeaders.h,v 1.1 2002/08/21 03:17:17 wmalik Exp $
____________________________________________________________________________*/

#import <MessageHeaders.h>

@class NSMutableDictionary;
@class NSMutableArray;
@class NSData;

@interface MutableMessageHeaders:MessageHeaders
{
    NSData *_data;
    NSMutableDictionary *_headersAdded;
    NSMutableArray *_headersRemoved;
    NSData *_partialHeaderData;
}

- initWithHeaders:fp12;
- initWithData:fp12 isFull:(char)fp16;
- initWithData:fp12;
- mutableCopy;
- (void)dealloc;
- _headerData;
- allHeaderKeys;
- (char)hasHeaderForKey:fp12;
- _headerValueForKey:fp12;
- (void)removeHeaderForKey:fp12;
- (void)setHeader:fp12 forKey:fp16;
- (void)appendFromSpaceIfMissing;
- (void)_appendHeaderKey:fp12 value:fp16 toData:fp20;
- (void)_appendAddedHeaderKey:fp12 value:fp16 toData:fp20;
- _encodedHeadersIncludingFromSpace:(char)fp12;
- (void)setAddressList:fp12 forKey:fp16;
- (void)flushCachedData;
@end