/*____________________________________________________________________________
    Copyright (C) 2002 PGP Corporation.
    All rights reserved.

    $Id: PGPMailMessageBody.h,v 1.3 2002/08/21 21:02:27 wmalik Exp $
____________________________________________________________________________*/

#import <MessageBody.h>
#import "PGPMailEncodeDecode.h"

@class MessageHeaders;

@interface MessageBody(PGPMail)
- (BOOL)isPGPMessage;
- (BOOL)isPGPMessage:(PGPMailDecodeOptions *)ioOptions;
- (NSData *)pgpEncode:(PGPMailEncodeOptions *)ioOptions recipients:(NSArray *)inRecipients;
- (MessageBody *)pgpDecryptedBody:(MessageHeaders **)ioDecryptedMessageHeaders options:(PGPMailDecodeOptions *)ioOptions;
@end

@interface MessageBody(PGPMail_MacOSX)
- (void)setEncodedBody:(NSData *)data;
@end
