/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.

	$Id: pgpnetIpHelper.h,v 1.3 2002/08/06 20:10:27 dallen Exp $
____________________________________________________________________________*/

#ifndef _H_PGPNET_IP_HELPER_
#define _H_PGPNET_IP_HELPER_

#ifdef __cplusplus
extern "C" {
#endif

typedef enum
{
	TYPE_IP,
	TYPE_ICMP,
 	TYPE_UDP,
 	TYPE_TCP
} HeadType;

PGPUInt32
GetIPAddressFromARP(void * block);

PGPBoolean 
EmptyEthernetAddress(PGPByte* eth_address);

PGPBoolean 
BroadcastEthernetAddress(PGPByte* eth_dstAddress);

PGPUInt16
HeaderChecksum(PGPUInt16 *header, HeadType type);

#ifdef __cplusplus
}
#endif

#endif // #define _H_PGPNET_IP_HELPER_
