/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.

	$Id: CPicture.h,v 1.3 2002/08/06 20:10:43 dallen Exp $
____________________________________________________________________________*/

#pragma once

#include <LPicture.h>

#if PGP_MACINTOSH
#pragma options align=mac68k
#endif

typedef struct SPictureInfo
{
	ResIDT		bwResID;
	ResIDT		color4BitResID;
	ResIDT		color16BitResID;
	ResIDT		color24BitResID;
	UInt32		reserved[3];
	
} SPictureInfo;

#if PGP_MACINTOSH
#pragma options align=reset
#endif

class CPicture : public LPicture
{
public:
	enum { class_ID = 'Pict' };

						CPicture(LStream *inStream);
	virtual				~CPicture(void);
	
protected:

	ResIDT				mBWResID;
	ResIDT				m4BitResID;
	ResIDT				m16BitResID;
	ResIDT				m24BitResID;
	
	virtual void		DrawSelf(void);
	
private:

	void				InitCPicture(const SPictureInfo *pictInfo);
};