/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.

	$Id: CVersionCaption.cp,v 1.3 2002/08/06 20:10:43 dallen Exp $
____________________________________________________________________________*/
#include "pgpMem.h"

#include "MacStrings.h"

#include "CVersionCaption.h"

CVersionCaption::CVersionCaption(LStream *inStream)
		: LCaption(inStream)
{
}

CVersionCaption::~CVersionCaption(void)
{
}

	void
CVersionCaption::FinishCreateSelf(void)
{
	Str255		versionString;
	VersRec		**versionResource;
	
	LCaption::FinishCreateSelf();
	
	versionString[0] = 0;
	
	versionResource = (VersRec **) GetResource( 'vers', 1 );
	if( IsntNull( versionResource ) )
	{
		CopyPString( (**versionResource).shortVersion, versionString );
		ReleaseResource( (Handle) versionResource );
	}
	else
	{
		pgpDebugMsg( "CVersionCaption: No 'vers' resource found" );
	}

	SetDescriptor( versionString );
}

