/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.
	
	$Id: PGPUICocoaPriv.h,v 1.3 2002/08/06 20:10:56 dallen Exp $
____________________________________________________________________________*/

#import <PGPui/PGPUICocoa.h>

#ifndef LSPU
#define LSPU(key, comment) \
            [[NSBundle bundleForClass:[self class]] localizedStringForKey:(key) value:@"" table:(nil)]
#endif

#if PGP_DEBUG
#define PGPLog(x)			NSLog x
#else
#define PGPLog(x)
#endif

#define kPGPUIString_OK					LSPU(@"OK", @"OK")
#define kPGPUIString_Cancel				LSPU(@"Cancel", @"Cancel")

#define kPGPUI_MaxPGPUserIDLength		256

/* Functions which return a UTF8 encoded string containing the key's primary user id. */
NSString* PGPUIGetPrimaryUserIDName(PGPKeyDBObjRef key);
NSString* PGPUIGetUserIDName(PGPKeyDBObjRef userID);

