/*____________________________________________________________________________
	Copyright (C) 2002 PGP Corporation
	All rights reserved.
	
	$Id: PGPCollectRandomDataDialog.cpp,v 1.2 2002/08/06 20:10:56 dallen Exp $
____________________________________________________________________________*/

#include "pgpDialogs.h"
#include "PGPDialogProxies.h"

PGPError pgpCollectRandomDataDialogPlatformMain(PGPContextRef context,
	CPGPRandomDataDialogOptions* options)
{
	PGPError					err = kPGPError_NoErr;
	PGPDialogProxyObj			proxy;

	proxy.context = context;	
	proxy.instance = NULL;
	proxy.options = (void*) options;
	proxy.type = kPGPDialogProxyType_RandomDataOptions;

	if (IsPGPError(err = createDialogInstance(&proxy)))
		return err;
	
	err = displayDialog(&proxy);
	
	releaseDialogInstance(&proxy);

	return err;
}
