/*
 * pgpVMemMod.h -- Module to output to a variable-size memory buffer
 *
 * Copyright (C) 2002 PGP Corporation
 * All rights reserved
 *
 * $Id: pgpVMemMod.h,v 1.4 2002/08/06 20:11:04 dallen Exp $
 */

#ifndef Included_pgpVMemMod_h
#define Included_pgpVMemMod_h

PGP_BEGIN_C_DECLARATIONS

#include "pgpPipelineOpaqueStructs.h"
#include "pgpPubTypes.h"
#include "pgpMemoryMgr.h"


PGPPipeline  *	pgpVariableMemModCreate(
		PGPContextRef context,
		PGPPipeline **head, size_t max_size);

PGPPipeline  *	pgpSecureVariableMemModCreate(
		PGPContextRef context,
		PGPPipeline **head, size_t max_size);

PGP_END_C_DECLARATIONS

#endif /* Included_pgpVMemMod_h */
