/*
 * $Id: pgpECKey.h,v 1.6 2001/11/16 00:18:40 hal Exp $
 */

#ifndef Included_pgpECKey_h
#define Included_pgpECKey_h


#include "pgpSDKBuildFlags.h"

#if PGP_EC

#include "pgpPubTypes.h"	/* For PGPBoolean and PGPByte */
#include "pgpOpaqueStructs.h"
#include "ec.h"


PGP_BEGIN_C_DECLARATIONS


PGPInt32 pgpECurveBitsFromName( const char * name, PGPSize namelen );

PGPPubKey *ecPubFromBuf(PGPContextRef	context,
				PGPByte const *buf, PGPSize len, PGPError *error);
				
PGPSecKey *ecSecFromBuf( PGPContextRef	context,
				PGPByte const *buf, PGPSize len, PGPError *error);
				
int ecPubKeyPrefixSize(PGPByte const *buf, PGPSize size);

PGPSecKey *ecSecGenerate( PGPContextRef context, unsigned bits,
				PGPBoolean fastgen,
				PGPRandomContext const *rc,
				int progress(void *arg, int c), void *arg, PGPError *error);


PGP_END_C_DECLARATIONS

#endif /* PGP_EC */

#endif /* Included_pgpECKey_h */
